Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions
tlp::CSVContentHandler Class Reference

Interface to inherit to get and treat data from csv files with CSVParser object. More...

`#include <CSVContentHandler.h>`

Inheritance diagram for tlp::CSVContentHandler:
[legend]

List of all members.

## Public Member Functions

- virtual ~CSVContentHandler ()
- virtual void begin ()=0
- virtual void line (unsigned int row, const std::vector< std::string > &lineTokens)=0
- virtual void end (unsigned int rowNumber, unsigned int columnNumber)=0

## Detailed Description

Interface to inherit to get and treat data from csv files with CSVParser object.

## Constructor & Destructor Documentation

virtual tlp::CSVContentHandler::~CSVContentHandler | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual void tlp::CSVContentHandler::begin | ( |  | ) | `[pure virtual]`

Function called at the beginning of the file parsing.

Implemented in tlp::CSVGraphImport, tlp::CSVTableWidget, tlp::CSVImportConfigurationWidget, and tlp::CSVInvertMatrixParser.

virtual void tlp::CSVContentHandler::end | ( | unsigned int | rowNumber,
|  | unsigned int | columnNumber
| ) |  | `[pure virtual]`

Function called at the end of the parsing.

Parameters:

  rowNumber | the number of row read in the file.
  columnNumber | The column number for the line with the greatest column number.

Implemented in tlp::CSVGraphImport, tlp::CSVTableWidget, tlp::CSVImportConfigurationWidget, and tlp::CSVInvertMatrixParser.

virtual void tlp::CSVContentHandler::line | ( | unsigned int | row,
|  | const std::vector< std::string > & | lineTokens
| ) |  | `[pure virtual]`

Function called for each line in the file.

Parameters:

  row | The number of the row.
  lineTokens | The tokens.

Implemented in tlp::CSVGraphImport, tlp::CSVTableWidget, tlp::CSVImportConfigurationWidget, and tlp::CSVInvertMatrixParser.

Tulip Software by LaBRI Visualization Team 2001 - 2012